### Function

# Gimp rgba_parse_css

#### Declaration [src]

    gboolean
    gimp_rgba_parse_css (
      GimpRGB* rgba,
      const gchar* css,
      gint len
    )

#### Description [src]

Similar to `gimp_rgb_parse_css()` but handles RGB colors with alpha channel in the numerical CSS notation (`rgba(255,0,0,255)` or `rgba(100%,0%,0%,1000%)`).

It doesn’t handle the hexadecimal notation or color names because they leave the alpha channel unspecified.

Available since: | 2.2

#### Parameters

`rgba` | `GimpRGB`
| A `GimpRGB` struct used to return the parsed color.
| The data is owned by the caller of the function.
`css` | An array of `gchar`
| A string describing a color in CSS notation.
| The length of the array is specified in the `len` argument.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.
`len` | `gint`
| The length of `css`, in bytes. or -1 if `css` is nul-terminated.

#### Return value

Returns: | `gboolean`
| `TRUE` if `css` was parsed successfully and `rgb` has been set, `FALSE` otherwise.